/*****************************************
 Copyright  2001-2003  
 Sigma Designs, Inc. All Rights Reserved
 Proprietary and Confidential
 *****************************************/
/**
  @file   rmstatus.h

  @author Emmanuel Michon
  @date   2002-11-04
*/

#ifndef __RMSTATUS_H__
#define __RMSTATUS_H__

RM_EXTERN_C_BLOCKSTART

typedef enum
{
	RM_ERROR_FIRST__ = 5, // don't rely on any supposed value of RM_OK.
#undef RM_DEFINE_ERROR
#define RM_DEFINE_ERROR(x) RM_ ## x,
#include "rmstatus.inc"
#undef RM_DEFINE_ERROR
	RM_ERROR_LAST__
} RMstatus;

///
/**
   To test if the return code of a function is an error.
*/ 
#define RMFAILED(x) ((x)!=RM_OK)

///
/**
   To test if the return code of a function is OK.
*/
#define RMSUCCEEDED(x) ((x)==RM_OK)

RM_EXTERN_C_BLOCKEND

#endif // __RMSTATUS_H__
