ifneq '$(findstring -DEM86XX_MODE=EM86XX_MODEID_STANDALONE,$(RMCFLAGS))' ''
ifneq '$(findstring -DEM86XX_CHIP=EM86XX_CHIPID_TANGO2,$(RMCFLAGS))' ''
#tango2 standalone

CROSS      := mipsel-linux-
RMPLATFORM := RMPLATFORMID_TANGO2
lib_ext    := so

else # EM86XX_CHIPID_TANGO2
#tango/tango15 standalone

CROSS      = arm-elf-
RMPLATFORM = RMPLATFORMID_JASPERMAMBO
RMCFLAGS  += -DLLAD_DIRECT -D__arm__
LDFLAGS   += -Wl,-elf2flt="-s32768"
lib_ext    := a

endif # EM86XX_CHIPID_TANGO2

else # EM86XX_MODEID_STANDALONE

ifneq '$(findstring -DEM86XX_MODE=EM86XX_MODEID_WITHHOST,$(RMCFLAGS))' ''
#withhost

lib_ext := so

else # EM86XX_MODEID_WITHHOST

$(error EM86XX_MODE is not set in RMCFLAGS: refer to emhwlib/include/emhwlib_modes.h)

endif # EM86XX_MODEID_WITHHOST
endif # EM86XX_MODEID_STANDALONE

RMCFLAGS += -D_POSIX -D_UNIX -DMMSCP_LEAN_AND_MEAN 
USE_STD_LIB := 1

